Subject: [Cfrg] draft-mcgrew-hash-sigs

From: Jim Schaad <[email-masked]>
Date: Tue, 5 Feb 2019 20:07:07 -0800

In trying to do a fast implementation of this draft I ended up with the
following question:

In section 4.5 there is a byte string append operation between Q and
Cksm(Q).  The problem is that the result of Cksm appears to be a 16-bit
unsigned integer.  Should there be a u16str inserted in the function?

a = coef(Q || u16str(Cksm(Q)), i, w)

Jim